%{?nodejs_find_provides_and_requires}
Name:                nodejs-string-dot-prototype-dot-trim
Version:             1.1.2
Release:             1
Summary:             ES5 spec-compliant shim for String.prototype.trim
License:             MIT
URL:                 https://github.com/es-shims/String.prototype.trim
Source0:             https://registry.npmjs.org/string.prototype.trim/-/string.prototype.trim-%{version}.tgz
Patch1:              nodejs-string-dot-prototype-dot-trim-unicode630.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tape) npm(define-properties) npm(es-abstract) npm(function-bind)
%description
An ES5 spec-compliant String.prototype.trim shim. Invoke its "shim"
method to shim String.prototype.trim if it is unavailable.

%prep
%autosetup -p 1 -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string.prototype.trim
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/string.prototype.trim
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs test/shimmed.js
%__nodejs test/index.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/string.prototype.trim

%changelog
* Thu Aug 20 2020 wangyue <wangyue92@huawei.com> - 1.1.2-1
- package init
